# -*- coding: utf-8 -*-
# Generated by Django 1.11.3 on 2017-08-26 13:33
from __future__ import unicode_literals

import django.contrib.postgres.fields.jsonb
from django.db import migrations


class Migration(migrations.Migration):

    dependencies = [
        ('annotations', '0007_auto_20170826_1446'),
    ]

    def forward_func(apps, schema_editor):
        Annotation = apps.get_model("annotations", "Annotation")
        db_alias = schema_editor.connection.alias

        # Set vector NULL where not_in_image
        for annotation in Annotation.objects.using(db_alias).all():
            if annotation.not_in_image:
                annotation.vector = None
                annotation.save()

    def backward_func(apps, schema_editor):
        raise NotImplementedError('not completely reversible in one transaction!')
        Annotation = apps.get_model("annotations", "Annotation")
        db_alias = schema_editor.connection.alias

        # Set not_in_image and vector to a not-NULL value where vector is NULL
        for annotation in Annotation.objects.using(db_alias).all():
            if annotation.vector is None:
                annotation.vector = ''
                annotation.not_in_image = True
                annotation.save()


    operations = [
        migrations.AlterField(
            model_name='annotation',
            name='vector',
            field=django.contrib.postgres.fields.jsonb.JSONField(null=True),
        ),
        migrations.RunPython(forward_func, backward_func, atomic=True),
        migrations.RemoveField(
            model_name='annotation',
            name='not_in_image',
        ),
    ]
