from rest_framework.serializers import ModelSerializer

from imagetagger.images.models import ImageSet, Image


class ImageSerializer(ModelSerializer):
    class Meta:
        model = Image
        fields = (
            'id',
            'name',
        )


class ImageSetSerializer(ModelSerializer):
    class Meta:
        model = ImageSet
        fields = (
            'id',
            'name',
            'location',
            'description',
            'images',
        )

    images = ImageSerializer(many=True)
